<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
//if (!defined("IN_FUSION") || !iSUPERADMIN) { header("Location:../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."weather_panel/lang/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."weather_panel/lang/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."weather_panel/lang/English.php";
}

// Infusion general information
$inf_title = 'Weather panel';
$inf_description = 'Weather panel';
$inf_version = "3.0.0";
$inf_developer = "AusiMods";
$inf_email = "supportatAusiModsdotnet";
$inf_weburl = "http://ausimods.net";

$inf_folder = "weather_panel"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "weather_admin.php"; // The admin panel filename if required.

$inf_link_name = $locale['xxx102']; // if not required replace $locale['xxx102']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_insertdbrows = 1; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "weather (
  postcode varchar(5) NOT NULL default '',
  locality varchar(100) NOT NULL default '',
  current tinyint(2) NOT NULL default '1',
  forecast tinyint(2) NOT NULL default '1',
  panelname varchar(100) NOT NULL default 'Local Weather',
  type varchar(100) NOT NULL default '',
  partner varchar(10) NOT NULL default '',
  PRIMARY KEY  (postcode)
) TYPE=MyISAM;";

$inf_insertdbrow_[1] = "weather ( postcode , locality , current , forecast , panelname , type , partner )VALUES ('4470', 'Charleville', '1', '1', 'Local Weather', 'weatherzone', '000000')";

$inf_droptable_[1] = "weather";

//$inf_altertable_[1] = "table_name ADD etc";

//$inf_deldbrow_[1] = "other_table";

?>
